OpenTTD Source: StringParameter Struct Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Data Fields
StringParameter Struct Reference

The data required to format and validate a single parameter of a string. More...

`#include <strings_type.h>`

## Public Member Functions
| StringParameter (StringParameterData &&data)
| StringParameter (const std::monostate &data)
| StringParameter (uint64_t data)
| StringParameter (std::string_view data)
| StringParameter (std::string &&data)
| StringParameter (const std::string &data)
| StringParameter (const ConvertibleThroughBase auto &data)

## Data Fields
StringParameterData | data
| The data of the parameter.
char32_t | type
| The StringControlCode to interpret this data with when it's the first parameter, otherwise '\0'.

## Detailed Description

The data required to format and validate a single parameter of a string.

Definition at line 78 of file strings_type.h.

## Constructor & Destructor Documentation

## ◆ StringParameter() [1/7]

StringParameter::StringParameter | ( | StringParameterData && | data | ) |
| inline

Definition at line 83 of file strings_type.h.

## ◆ StringParameter() [2/7]

StringParameter::StringParameter | ( | const std::monostate & | data | ) |
| inline

Definition at line 85 of file strings_type.h.

## ◆ StringParameter() [3/7]

StringParameter::StringParameter | ( | uint64_t | data | ) |
| inline

Definition at line 86 of file strings_type.h.

## ◆ StringParameter() [4/7]

StringParameter::StringParameter | ( | std::string_view | data | ) |
| inline

Definition at line 88 of file strings_type.h.

## ◆ StringParameter() [5/7]

StringParameter::StringParameter | ( | std::string && | data | ) |
| inline

Definition at line 89 of file strings_type.h.

## ◆ StringParameter() [6/7]

StringParameter::StringParameter | ( | const std::string & | data | ) |
| inline

Definition at line 90 of file strings_type.h.

## ◆ StringParameter() [7/7]

StringParameter::StringParameter | ( | const ConvertibleThroughBase auto & | data | ) |
| inline

Definition at line 92 of file strings_type.h.

## Field Documentation

## ◆ data

StringParameterData StringParameter::data

The data of the parameter.

Definition at line 79 of file strings_type.h.

## ◆ type

char32_t StringParameter::type

The StringControlCode to interpret this data with when it's the first parameter, otherwise '\0'.

Definition at line 80 of file strings_type.h.

The documentation for this struct was generated from the following file:

- src/strings_type.h